/* Declarations private to TL.
   This file is part of TL, Tiggr's Library.
   Written by Tiggr <tiggr@es.ele.tue.nl>
   Copyright (C) 1995, 1996 Pieter J. Schoenmakers
   TL is distributed WITHOUT ANY WARRANTY.
   See the file LICENSE in the TL distribution for details.

   $Id: tl-private.h,v 1.3 1996/01/23 12:18:47 tiggr Exp $  */

#import "tl/rchash.h"
#import "tl/policy.h"

/* Hashtable of objects which have been retained once because they are
   being referenced by a TLObject or instance of a subclass thereof.  */
extern rch_table *_gc_rc_referenced;

#if !HAVE_REFCOUNTING

/* Hashtable to maintain reference count of objects.  */
extern rch_table *_gc_rc_refcount;

#endif
