/* Fetch the contents of an url.
   This file is part of TL, Tiggr's Library.
   Written by Tiggr <tiggr@es.ele.tue.nl>
   Copyright (C) 1995, 1996 Pieter J. Schoenmakers
   TL is distributed WITHOUT ANY WARRANTY.
   See the file LICENSE in the TL distribution for details.

   $Id: furl.m,v 1.8 1996/01/23 12:19:05 tiggr Exp $  */

/********** this does not work (too lazy to fix) **********/

#import <tl/tl.h>
#import <string.h>

char *prog;

int
main (int argc, char ** argv)
{
  TLHTTPStream *str;
  TLMimeItem *mi;
  TLBufferedStream *bs;
  TLString *cmd, *s;
  TLURL *url;

  tl_init ();

  prog = strrchr (argv[0], '/');
  prog = prog ? prog + 1 : argv[0];

  if (argc != 2)
    {
      fprintf (stderr, "usage: %s url\n", prog);
      exit (2);
    }

  url = [TLURL urlWithString: [TLString stringWithCString: argv[1]]];
  str = url ? [TLHTTPStream streamWithURL: url] : nil;
  if (!str)
    {
      fprintf (stderr, "%s: exiting...\n", prog);
      exit (2);
    }

  if (![str connect])
    {
      fprintf (stderr, "%s: connect: %s\n", prog, ERRMSG);
      exit (1);
    }

  bs = [TLBufferedStream streamWithStream: str];

  cmd = [TLString stringWithFormat: @"GET %@ HTTP/1.0\r\nAccept: */"@"*\r\n",
	 [url filename]];

  formac (V_stderr_, @"%s CMD: `%@'\n", prog, cmd);

  formac (bs, @"%@\r\n", cmd);

  s = [bs readLine];

  if (!s || ![s rangeOfString: @"200"])
    formac (V_stderr_, @"%s: bad reply: %@", prog, s);
  else
    {
      mi = [TLMimeItem mimeItemFromStream: bs boundary: nil];
      if (mi)
	print ([mi contents], V_stdout_, NO);
    }

  [V_stdout_ flushOutput];
  return (0);
} /* main */
