/* Interface to TLFilename category of TLString.
   This file is part of TL, Tiggr's Library.
   Written by Tiggr <tiggr@es.ele.tue.nl>
   Copyright (C) 1995, 1996 Pieter J. Schoenmakers
   TL is distributed WITHOUT ANY WARRANTY.
   See the file LICENSE in the TL distribution for details.

   $Id: TLFilename.h,v 1.2 1996/01/23 12:19:17 tiggr Exp $  */

#import "TLString.h"

@interface TLString (TLFilename)

-(id <TLString>) basename;
-(id <TLString>) expandedFilename;
-(id <TLString>) expandedFilenameRelativeTo: (id <TLString>) dir;

-(BOOL) _fileExistsP;

@end
