/* Interface to TLUnixSocketStream class.
   This file is part of TL, Tiggr's Library.
   Written by Tiggr <tiggr@es.ele.tue.nl>
   Copyright (C) 1995, 1996 Pieter J. Schoenmakers
   TL is distributed WITHOUT ANY WARRANTY.
   See the file LICENSE in the TL distribution for details.

   $Id: TLUnixSocketStream.h,v 1.2 1996/01/23 12:19:26 tiggr Exp $  */

#import "TLSocketStream.h"
#import "TLUnixAddress.h"

@interface TLUnixSocketStream: TLSocketStream
{
  /* Iff 0, we connected, otherwise, we did a bind.  In case of the
     connect, the pathname can't be unlinked.  In the other case, it should
     be (me thinks).  */
  unsigned int bind_p: 1;
}

@end
